## attributes

attributes - interface for the XSLT attribute handling

this module handles the specificities of attribute and attribute groups processing.

Author(s): Daniel Veillard

## Synopsis

    void	xsltResolveStylesheetAttributeSet	(xsltStylesheetPtr style);
    void	xsltParseStylesheetAttributeSet	(xsltStylesheetPtr style,
    					 xmlNodePtr cur);
    void	xsltApplyAttributeSet		(xsltTransformContextPtr ctxt,
    					 xmlNodePtr node,
    					 xmlNodePtr inst,
    					 const xmlChar * attrSets);
    void	xsltFreeAttributeSetsHashes	(xsltStylesheetPtr style);

## Description

## Details

### xsltApplyAttributeSet ()

    void	xsltApplyAttributeSet		(xsltTransformContextPtr ctxt,
    					 xmlNodePtr node,
    					 xmlNodePtr inst,
    					 const xmlChar * attrSets)

Apply the xsl:use-attribute-sets. If @attrSets is NULL, then @inst will be used to exctract this value. If both, @attrSets and @inst, are NULL, then this will do nothing.

`ctxt`: | the XSLT stylesheet
`node`: | the node in the source tree.
`inst`: | the attribute node "xsl:use-attribute-sets"
`attrSets`: | the list of QNames of the attribute-sets to be applied

### xsltFreeAttributeSetsHashes ()

    void	xsltFreeAttributeSetsHashes	(xsltStylesheetPtr style)

Free up the memory used by attribute sets

`style`: | an XSLT stylesheet

### xsltParseStylesheetAttributeSet ()

    void	xsltParseStylesheetAttributeSet	(xsltStylesheetPtr style,
    					 xmlNodePtr cur)

parse an XSLT stylesheet attribute-set element

`style`: | the XSLT stylesheet
`cur`: | the "attribute-set" element

### xsltResolveStylesheetAttributeSet ()

    void	xsltResolveStylesheetAttributeSet	(xsltStylesheetPtr style)

resolve the references between attribute sets.

`style`: | the XSLT stylesheet